### Method

# Secret Service lock_dbus_paths

#### Declaration [src]

    void
    secret_service_lock_dbus_paths (
      SecretService* self,
      const gchar** paths,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Lock items or collections in the secret service.

The items or collections are represented by their D-Bus object paths. If you already have `SecretItem` and `SecretCollection` proxy objects, use use `secret_service_lock()` instead.

The secret service may not be able to lock items individually, and may lock an entire collection instead.

This method returns immediately and completes asynchronously. The secret service may prompt the user. `secret_service_prompt()` will be used to handle any prompts that show up.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`paths`

  Type: An array of `gchar*`

  The D-Bus paths for items or collections to lock.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.